import type { ZodSchema, z } from 'zod';
import type { DynamoDBStreamEnvelopeResponse } from '../types/envelope.js';
import type { ParsedResult } from '../types/index.js';
/**
 * DynamoDB Stream Envelope to extract data within NewImage/OldImage
 *
 * Note: Values are the parsed models. Images' values can also be None, and
 * length of the list is the record's amount in the original event.
 */
export declare const DynamoDBStreamEnvelope: {
    parse<T extends ZodSchema<any, z.ZodTypeDef, any>>(data: unknown, schema: T): DynamoDBStreamEnvelopeResponse<z.infer<T>>[];
    safeParse<T_1 extends ZodSchema<any, z.ZodTypeDef, any>>(data: unknown, schema: T_1): ParsedResult;
};
//# sourceMappingURL=dynamodb.d.ts.map