import type { ZodSchema, z } from 'zod';
import type { ParsedResult } from '../types/index.js';
/**
 * CloudWatch Envelope to extract a List of log records.
 *
 *  The record's body parameter is a string (after being base64 decoded and gzipped),
 *  though it can also be a JSON encoded string.
 *  Regardless of its type it'll be parsed into a BaseModel object.
 *
 *  Note: The record will be parsed the same way so if model is str
 */
export declare const CloudWatchEnvelope: {
    parse<T extends ZodSchema<any, z.ZodTypeDef, any>>(data: unknown, schema: T): z.infer<T>[];
    safeParse<T_1 extends ZodSchema<any, z.ZodTypeDef, any>>(data: unknown, schema: T_1): ParsedResult;
};
//# sourceMappingURL=cloudwatch.d.ts.map